GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
gdcm::Command Class Reference

Command superclass for callback/observer methods. More...

`#include <gdcmCommand.h>`

Inheritance diagram for gdcm::Command:
[legend]
Collaboration diagram for gdcm::Command:
[legend]

List of all members.

## Public Member Functions

virtual void | Execute (Subject *caller, const Event &event)=0
| Abstract method that defines the action to be taken by the command.
virtual void | Execute (const Subject *caller, const Event &event)=0

## Protected Member Functions

| Command ()
| ~Command ()

## Detailed Description

Command superclass for callback/observer methods.

See also:
  Subject

## Constructor & Destructor Documentation

gdcm::Command::Command | ( |  | ) | `[protected]`

gdcm::Command::~Command | ( |  | ) | `[protected]`

## Member Function Documentation

virtual void gdcm::Command::Execute | ( | Subject * | caller,
|  | const Event & | event
| ) |  | `[pure virtual]`

Abstract method that defines the action to be taken by the command.

Implemented in gdcm::SimpleMemberCommand< T >, and gdcm::MemberCommand< T >.

virtual void gdcm::Command::Execute | ( | const Subject * | caller,
|  | const Event & | event
| ) |  | `[pure virtual]`

Abstract method that defines the action to be taken by the command. This variant is expected to be used when requests comes from a const Object

Implemented in gdcm::SimpleMemberCommand< T >, and gdcm::MemberCommand< T >.

The documentation for this class was generated from the following file:

- gdcmCommand.h